# ACE_Section_Key_Internal Class Reference

A base class for internal handles to section keys for configuration implementations. More...

`#include <Configuration.h>`

Inheritance diagram for ACE_Section_Key_Internal:

[legend]
List of all members.

## Public Member Functions

virtual | ~ACE_Section_Key_Internal (void)
| Virtual destructor, make sure descendants are virtual!
virtual int | add_ref (void)
| Increment reference count.
virtual int | dec_ref (void)
| Decrement reference count. Will delete this if count gets to 0.

## Protected Member Functions

| ACE_Section_Key_Internal (void)
| ACE_Section_Key_Internal (const ACE_Section_Key_Internal &rhs)
ACE_Section_Key_Internal & | operator= (ACE_Section_Key_Internal &rhs)

## Protected Attributes

u_int | ref_count_

## Detailed Description

A base class for internal handles to section keys for configuration implementations.

For internal use only.

Implementations subclass this base class to represent a section key.

## Constructor & Destructor Documentation

ACE_Section_Key_Internal::~ACE_Section_Key_Internal | ( | void |  | ) | `[virtual]`

| Virtual destructor, make sure descendants are virtual!

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_Section_Key_Internal::ACE_Section_Key_Internal | ( | void |  | ) | `[protected]`

ACE_Section_Key_Internal::ACE_Section_Key_Internal | ( | const ACE_Section_Key_Internal & | rhs | ) | `[protected]`

## Member Function Documentation

int ACE_Section_Key_Internal::add_ref | ( | void |  | ) | `[virtual]`

| Increment reference count.

int ACE_Section_Key_Internal::dec_ref | ( | void |  | ) | `[virtual]`

| Decrement reference count. Will delete this if count gets to 0.

ACE_Section_Key_Internal& ACE_Section_Key_Internal::operator= | ( | ACE_Section_Key_Internal & | rhs | ) | `[protected]`

## Member Data Documentation

u_int ACE_Section_Key_Internal::ref_count_`[protected]`

The documentation for this class was generated from the following files:

- Configuration.h
- Configuration.cpp